Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005304 [JEDI VCL] 00 JVCL Components minor always 2010-08-19 15:25 2012-02-29 16:53
Reporter ralfiii View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005304: Added features to TJvRollOut
Description I've been using and expanding the JvRollOut Panel for some time.
Unfortunately my changes are based on an old version.
Now I want to feed back my changes to the repository.
Before I merge my changes into the newest release I'd like to know if the functionality id of interest. If not then I don't have to invest time unnecessarily. Simply tell me what functions I should merge into the newest release version and which not.

The attached project can be compiled with the newest build, then it will show some problems where I can offer fixes (the attached exe was compiled with the modified component).

1.) if a component is not anchored to the top then it can hide the rollout-button when the panel is collaped.
Fix: remember visibility of child controls, hide them when collapsing and on expand restore old visiblity.

2.) In a window several panels can be set in a row, one below the next one. If all panels are expanded this can be too big for the parent form.
Fix: To address that I added a property SmartExpand. If this is set then the rollout tries to collapse the panels above and get the necessary place that way.
(ATT: This is not the same this as grouping, as other panels are only collapsed if necessary)
If this is not enough then the panel floats above the form.
Additional Information
Tags No tags attached.
Attached Files zip file icon JvRollOutDemo.zip [^] (232,147 bytes) 2010-08-19 15:25
jpg file icon floating.jpg [^] (17,184 bytes) 2010-08-19 15:29
zip file icon JvRollOut.zip [^] (9,688 bytes) 2010-08-25 16:36
zip file icon JvRollDiff.zip [^] (5,558 bytes) 2010-10-14 11:08

- Relationships

-  Notes
(0017589)
obones (administrator)
2010-08-20 11:40

This looks very interesting indeed.
Would be quite nice if you could create the diff
(0017621)
ralfiii (reporter)
2010-08-24 11:48

In our modification we also added a button font.

That way the RollOutPanel can use parentfont so that all contained controls use the font of the parent form and still the button has it's own destinctive appearance. (see screenshot)

Should I merge that also into the current source or should I leave that the way it is now?
(0017624)
ralfiii (reporter)
2010-08-25 16:36

Attached is a zip-file of the modified file.
A patch doesn't pay off, too many lines have been changed.
(0017625)
ralfiii (reporter)
2010-08-25 16:38

Btw: Changes have been marked with "//!" comments
Feel free to remove them
(0017856)
obones (administrator)
2010-10-11 09:07

I'd really want a diff file, it makes my life very much easier, even if there were many changes. Removing //! comments takes too much time.
(0017888)
ralfiii (reporter)
2010-10-14 11:08

Patch added
(0018062)
obones (administrator)
2010-11-09 15:38

Thank you, this is now in SVN.
Please, next time, try to follow the JVCL style guide, it will make integration easier.

- Issue History
Date Modified Username Field Change
2010-08-19 15:25 ralfiii New Issue
2010-08-19 15:25 ralfiii File Added: JvRollOutDemo.zip
2010-08-19 15:29 ralfiii File Added: floating.jpg
2010-08-20 11:40 obones Note Added: 0017589
2010-08-20 11:40 obones Status new => feedback
2010-08-24 11:48 ralfiii Note Added: 0017621
2010-08-25 16:36 ralfiii Note Added: 0017624
2010-08-25 16:36 ralfiii File Added: JvRollOut.zip
2010-08-25 16:38 ralfiii Note Added: 0017625
2010-10-11 09:07 obones Note Added: 0017856
2010-10-14 11:08 ralfiii File Added: JvRollDiff.zip
2010-10-14 11:08 ralfiii Note Added: 0017888
2010-11-09 15:38 obones Note Added: 0018062
2010-11-09 15:38 obones Status feedback => resolved
2010-11-09 15:38 obones Fixed in Version => Daily / SVN
2010-11-09 15:38 obones Resolution open => fixed
2010-11-09 15:38 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker